import request from '@/utils/request'

// 查询隐患对应部门列表
export function listDangerdeptmap(query) {
  return request({
    url: '/sooka-sponest-center-event/dangerdeptmap/dangerdeptmap/list',
    method: 'get',
    params: query
  })
}

// 查询隐患对应部门详细
export function getDangerdeptmap(pkId) {
  return request({
    url: '/sooka-sponest-center-event/dangerdeptmap/dangerdeptmap/' + pkId,
    method: 'get'
  })
}

// 新增隐患对应部门
export function addDangerdeptmap(data) {
  return request({
    url: '/sooka-sponest-center-event/dangerdeptmap/dangerdeptmap',
    method: 'post',
    data: data
  })
}

// 修改隐患对应部门
export function updateDangerdeptmap(data) {
  return request({
    url: '/sooka-sponest-center-event/dangerdeptmap/dangerdeptmap',
    method: 'put',
    data: data
  })
}

// 删除隐患对应部门
export function delDangerdeptmap(pkId) {
  return request({
    url: '/sooka-sponest-center-event/dangerdeptmap/dangerdeptmap/' + pkId,
    method: 'delete'
  })
}
