import request from '@/utils/request'

// 查询巡检记录明细列表
export function listInspectionrecorddetail(query) {
  return request({
    url: '/sooka-sponest-center-event/inspectionrecorddetail/inspectionrecorddetail/list',
    method: 'get',
    params: query
  })
}

// 查询巡检记录明细详细
export function getInspectionrecorddetail(id) {
  return request({
    url: '/sooka-sponest-center-event/inspectionrecorddetail/inspectionrecorddetail/' + id,
    method: 'get'
  })
}

// 新增巡检记录明细
export function addInspectionrecorddetail(data) {
  return request({
    url: '/sooka-sponest-center-event/inspectionrecorddetail/inspectionrecorddetail',
    method: 'post',
    data: data
  })
}

// 修改巡检记录明细
export function updateInspectionrecorddetail(data) {
  return request({
    url: '/sooka-sponest-center-event/inspectionrecorddetail/inspectionrecorddetail',
    method: 'put',
    data: data
  })
}

// 删除巡检记录明细
export function delInspectionrecorddetail(id) {
  return request({
    url: '/sooka-sponest-center-event/inspectionrecorddetail/inspectionrecorddetail/' + id,
    method: 'delete'
  })
}
