import request from '@/utils/request'

// 查询巡更逾期列表
export function listPatroloverdue(query) {
  return request({
    url: '/sooka-sponest-center-event/patroloverdue/patroloverdue/list',
    method: 'get',
    params: query
  })
}

// 查询巡更逾期详细
export function getPatroloverdue(id) {
  return request({
    url: '/sooka-sponest-center-event/patroloverdue/patroloverdue/' + id,
    method: 'get'
  })
}

// 新增巡更逾期
export function addPatroloverdue(data) {
  return request({
    url: '/sooka-sponest-center-event/patroloverdue/patroloverdue',
    method: 'post',
    data: data
  })
}

// 修改巡更逾期
export function updatePatroloverdue(data) {
  return request({
    url: '/sooka-sponest-center-event/patroloverdue/patroloverdue',
    method: 'put',
    data: data
  })
}

// 删除巡更逾期
export function delPatroloverdue(id) {
  return request({
    url: '/sooka-sponest-center-event/patroloverdue/patroloverdue/' + id,
    method: 'delete'
  })
}
