import request from '@/utils/request'

// 查询事件无异常列表
export function listNoabnormality(query) {
  return request({
    url: '/center-event/noabnormality/list',
    method: 'get',
    params: query
  })
}

// 查询事件无异常详细
export function getNoabnormality(id) {
  return request({
    url: '/sooka-sponest-center-event/noabnormality/' + id,
    method: 'get'
  })
}

// 新增事件无异常
export function addNoabnormality(data) {
  return request({
    url: '/sooka-sponest-center-event/noabnormality',
    method: 'post',
    data: data
  })
}

// 修改事件无异常
export function updateNoabnormality(data) {
  return request({
    url: '/sooka-sponest-center-event/noabnormality',
    method: 'put',
    data: data
  })
}

// 删除事件无异常
export function delNoabnormality(id) {
  return request({
    url: '/sooka-sponest-center-event/noabnormality/' + id,
    method: 'delete'
  })
}
