import request from '@/utils/request'

// 查询报文日志列表
export function listReportmessage(query) {
  return request({
    url: '/center-event/reportmessage/list',
    method: 'get',
    params: query
  })
}

// 查询报文日志详细
export function getReportmessage(id) {
  return request({
    url: '/sooka-sponest-center-event/reportmessage/' + id,
    method: 'get'
  })
}

// 新增报文日志
export function addReportmessage(data) {
  return request({
    url: '/sooka-sponest-center-event/reportmessage',
    method: 'post',
    data: data
  })
}

// 修改报文日志
export function updateReportmessage(data) {
  return request({
    url: '/sooka-sponest-center-event/reportmessage',
    method: 'put',
    data: data
  })
}

// 删除报文日志
export function delReportmessage(id) {
  return request({
    url: '/sooka-sponest-center-event/reportmessage/' + id,
    method: 'delete'
  })
}
