package com.sooka.sponest.event.centereventtdutysystem.domain;

import com.ruoyi.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import javax.validation.constraints.NotBlank;

/**
 * 责任制对象 centerevent_t_duty_system
 *
 * @author lyq
 * @date 2022-11-26
 */
public class CentereventTDutySystem extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private String id;

    /**
     * 事件部门id
     */
    @NotBlank
    private String depteventId;

    /**
     * 部门
     */
    @NotBlank
    private String dept;

    /**
     * 岗位
     */
    private String post;

    /**
     * 名称
     */
    private String name;

    /**
     * 手机号
     */
    private String telphone;

    private Long userId;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getDepteventId() {
        return depteventId;
    }

    public void setDepteventId(String depteventId) {
        this.depteventId = depteventId;
    }

    public String getDept() {
        return dept;
    }

    public void setDept(String dept) {
        this.dept = dept;
    }

    public String getPost() {
        return post;
    }

    public void setPost(String post) {
        this.post = post;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getTelphone() {
        return telphone;
    }

    public void setTelphone(String telphone) {
        this.telphone = telphone;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("depteventId", getDepteventId())
                .append("dept", getDept())
                .append("post", getPost())
                .append("name", getName())
                .append("telphone", getTelphone())
                .toString();
    }
}
