package com.sooka.sponest.event.centereventteventcatalogue.domain.bo;

import com.ruoyi.common.datascope.base.domain.BaseBusinessEntity;
import com.sooka.sponest.event.remoteapi.domain.CenterdataTAttach;
import com.sooka.sponest.monitor.api.domain.CenterdataTCamera;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

@Data
public class AppEventSalBO extends BaseBusinessEntity {

    private String id;

    private String eventName;

    private String eventDescription;

    private String longitude;

    private String latitude;

    private String reportor;

    private String eventCode;

    private String eventStatusValue;

    private String reportSource;

    private String eventType;

    private String eventTypeDl;

    private String eventTypeValue;

    private String eventStatus;

    private String fireRadius;

    private String reportTime;

    private String address;

    private String isUrged;

    private String url;

    private String eventTypeXl;

    private List<CenterdataTAttach> attachs = new ArrayList<>();

    private List<CenterdataTAttach> attachsMpf = new ArrayList<>();

    private Map<String, Object> appAttachSal;

    private CenterdataTCamera centerdataTCamera;

    private String escalation;

    private Long deptId;

    private String deptName;

    private String statusFlag;

    private String disableFlag = "0";
}
