package com.sooka.sponest.event.centereventteventcatalogue.domain.dahua;

import com.sooka.sponest.monitor.api.domain.CenterdataTCamera;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Map;

@Data
public class BayonetInfoVO {

    private String chnId;

    private String orgName;

    private String alarmPictureSize;

    private String nodeCode;

    private String deviceCode;

    private String alarmCode;

    private String alarmPicture;

    private Long nodeType;

    private Long alarmDate;

    private String deviceName;

    private Long alarmGrade;

    private Boolean isSave;

    private Map<String, Object> extend;

    private Long unitSeq;

    private Long unitType;

    private String alarmType;

    private Long channelSeq;

    private String orgCode;

    private String channelName;

    private Long alarmStat;

    private Boolean event;

    private Boolean isEvent;

    public String toString(CenterdataTCamera centerdataTCamera) {
        String toString = new ToStringBuilder(this, ToStringStyle.NO_CLASS_NAME_STYLE)
//                .append("行政区：", centerdataTCamera.getCameraName())
                .append("瞭望塔：", getChannelName())
//                .append("方向：", getDirection())
//                .append("距离：", getDistance())
//                .append("高程：", getHeight())
                .append("经度：", centerdataTCamera.getLongitude())
                .append("纬度：", centerdataTCamera.getLatitude())
                .toString().replaceAll("=", "");
        return toString.substring(1, toString.length() - 1);
    }
}
