package com.sooka.sponest.event.centereventteventcatalogue.domain.dahua;

import lombok.Data;

import java.util.Date;
import java.util.List;
import java.util.Map;

@Data
public class DaHuaFireEventVO {

    /**
     * 序号
     */
    private Long id;

    /**
     * 事件大类
     */
    private String category;

    /**
     * 方法名
     */
    private String method;

    /**
     * 报文内容
     */
    private Map<String, Object> info;

    /**
     * 子系统名称
     */
    private String subsystem;

    private List<Long> userIds;

    private String sid;

    /**
     * 域ID-级联消息下级发给mac时需要带上
     */
    private String domainId;

    private String infoArray;

    private String protocol;

    private String supplementFlag;

    private String uuid;

    /**
     * 创建时间
     */
    private Date createTime;
}
