package com.sooka.sponest.event.centereventteventcatalogue.domain.dahua;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

@Data
public class DaHuaOtherEventVO {

    String districtName;// 行政区

    String address;// 点位地址

    Long occurrenceTime;// 告警时间, 毫秒数

    String alarmName;// 告警规则名称

    String deviceId;// 设备编号，不一定存在

    String imgList;// 图片信息JSON 串，包含目标框objectRect信息

    String point;// 告警画框坐标信息JSON 串

    String recordId;// 告警编码

    String alarmType;// 告警类型

    String resultType;// 事件类别

    String classType;

    String channelCode;// 视频通道编码code

    String latitude;// 地球纬度

    String longitude; //地球经度

    String channelSn;// 摄像机编码

    private Date createTime;// 创建时间

    @Override
    public String toString() {
        String toString = new ToStringBuilder(this, ToStringStyle.NO_CLASS_NAME_STYLE)
                .append("行政区：", getDistrictName())
                .append("瞭望塔：", getAddress())
//                .append("方向：", getDirection())
//                .append("距离：", getDistance())
//                .append("高程：", getHeight())
                .append("经度：", getLongitude())
                .append("纬度：", getLatitude())
                .toString().replaceAll("=", "");
        return toString.substring(1, toString.length() - 1);
    }
}
