package com.sooka.sponest.event.centereventteventcatalogue.domain.haikang;

import com.sooka.sponest.monitor.api.domain.CenterdataTCamera;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.List;
import java.util.Map;

@Data
public class EventSmokeVo {
    private String componentId;
    private String deploySubType;
    private String deploymentId;
    private String eventId;
    private List<String> tenants;
    private int eventLvl;
    private String eventName;
    private String eventType;
    private String eventTypeCode;
    private String happenTime;
    private String stopTime;
    private String snappedPicUrl;
    private String srcIndex;
    private String externalIndexCode;
    private String srcName;
    private String srcType;
    private int status;
    private int eventConfirmStatus;
    private String strEventType;
    private int timeout;
    private Map<String, Object> data;
    private String eventSource;
    private String tenantIndexCode;
    private int verifyTimeLimit;
    private String algorithmCode;
    private String rect;
    private int lockTime;
    private String deploymentIdDetail;
    private String aiFunctionCode;
    private int presetIndex;
    private String tag;
    private String ruleId;
    private int lockTimeBefore;
    private String longitude;
    private String baseAlgorithmId;
    private String locationName;
    private String address;
    private int level;
    private boolean verified;
    private boolean videoLock;
    private String resourceName;
    private Map<String, Object> aiStrategyOutput;
    private String resourceIndexCode;
    private List<Map<String, Object>> ruleRegion;
    private String applicant;
    private long eventCode;
    private String jobId;
    private String targetList;
    private String ptzValue;
    private String region;
    private long subEventCode;
    private String taskId;
    private String resourceType;
    private String externalIndexCodeDetail;
    private int strategyStatus;
    private String presetIndexCode;
    private boolean manualConfirmFlag;
    private boolean autoVerify;


    public String toString(CenterdataTCamera centerdataTCamera) {
        String toString = new ToStringBuilder(this, ToStringStyle.NO_CLASS_NAME_STYLE)
                .append("行政区：", centerdataTCamera.getCameraRegion())
                .append("瞭望塔：", getSrcName())
//                .append("方向：", getDirection())
//                .append("距离：", getDistance())
//                .append("高程：", getHeight())
                .append("经度：", centerdataTCamera.getLongitude())
                .append("纬度：", centerdataTCamera.getLatitude())
                .toString().replaceAll("=", "");
        return toString.substring(1, toString.length() - 1);
    }
}
