package com.sooka.sponest.event.centereventteventcatalogue.domain.tower;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

@Data
public class TowerEventVo {

    private String alarmBody;

    private String eventLatitude;

    private String frontAlarmPicUrl;

    private String regionName;

    private String warningOrderId;

    private String tilt;

    private String alarmCode;

    private String deviceName;

    private String deviceLatitude;

    private String regionCode;

    private String originalPictureUrl;

    private String alarmPictureUrl;

    private String pan;

    private String channelCode;

    private String eventLongitude;

    private String address;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date alarmTime;

    private String frontAlarmVedioUrl;

    private String zoom;

    private String deviceCode;

    private String alarmType;

    private String alarmVideoUrl;

    private String presetName;

    private String channelName;

    private String location;

    private String deviceLongitude;

    private String presetId;

    public String toString() {
        String toString = new ToStringBuilder(this, ToStringStyle.NO_CLASS_NAME_STYLE)
                .append("行政区：", getRegionName())
                .append("瞭望塔：", getChannelName())
//                .append("方向：", getDirection(getAngle()))
//                .append("距离：", getStr(getDistance()))
//                .append("高程：", getStr(getElevation()))
                .append("经度：", getEventLongitude())
                .append("纬度：", getEventLatitude())
                .toString().replaceAll("=", "");
        return toString.substring(1, toString.length() - 1);
    }
}
