package com.sooka.sponest.event.centereventteventcatalogue.service;

import com.sooka.sponest.event.centereventteventcatalogue.domain.bo.AppEventSalBO;
import com.sooka.sponest.event.centereventteventcatalogue.domain.vo.AppEventSalVO;
import com.sooka.sponest.event.centereventteventcatalogue.domain.vo.VisuForestCloudMapVO;

import java.util.List;
import java.util.Map;

/**
 * 事件中心-移动端Service接口
 *
 * @author lyq
 * @date 2022-11-05
 */
public interface ICenterEventAppService {

    List<AppEventSalBO> listByApp(AppEventSalVO appEventSalVO);

    AppEventSalBO selectCentereventTEventcatalogueByEventCode(AppEventSalBO appEventSalVO);

    List<Map<String, Object>> getEventCountGroupByEventStatus(VisuForestCloudMapVO visuForestCloudMapVO);

    List<Map<String, Object>> getEventCountGroupByEventType(VisuForestCloudMapVO visuForestCloudMapVO);
}
