package com.sooka.sponest.event.centereventteventcatalogue.service;

import com.sooka.sponest.event.centereventtdeptevent.domain.CentereventDeptEvent;

import java.util.List;
import java.util.Map;

/**
 * 事件中心-市指挥中心Service接口
 *
 * @author lyq
 * @date 2023-04-23
 */
public interface ICenterEventCommandCenterService {

    List<Map<String, Object>> getDeptEventCount(CentereventDeptEvent centereventTDeptEvent);

    List<Map<String, Object>> getFireSource(CentereventDeptEvent centereventTDeptEvent);

    List<Map<String, Object>> getFirePlace(CentereventDeptEvent centereventTDeptEvent);

    List<Map<String, Object>> getFireLoss(CentereventDeptEvent centereventTDeptEvent);

    List<Map<String, Object>> getFireInfo(CentereventDeptEvent centereventTDeptEvent);

    List<Map<String, Object>> getEventStatusCount(CentereventDeptEvent centereventTDeptEvent);

    List<Map<String, Object>> getEventTypeCount(CentereventDeptEvent centereventTDeptEvent);

    List<Map<String, Object>> getEventHgjCount(CentereventDeptEvent centereventTDeptEvent);

    List<Map<String, Object>> getEventTrend(CentereventDeptEvent centereventTDeptEvent);

    List<Map<String, Object>> getEventBmCount(CentereventDeptEvent centereventTDeptEvent);

    List<Map<String, Object>> getEventPoint(CentereventDeptEvent centereventTDeptEvent);
}
