package com.sooka.sponest.event.centereventteventcatalogue.service.impl;

import com.ruoyi.common.core.utils.DateUtils;
import com.ruoyi.common.core.utils.uuid.IdUtils;
import com.ruoyi.common.datascope.base.service.BaseService;
import com.sooka.sponest.event.centereventteventcatalogue.domain.CentereventTDownloads;
import com.sooka.sponest.event.centereventteventcatalogue.domain.CentereventTEventcatalogue;
import com.sooka.sponest.event.centereventteventcatalogue.mapper.CentereventTDownloadsMapper;
import com.sooka.sponest.event.centereventteventcatalogue.service.ICentereventTDownloadsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 【请填写功能名称】Service业务层处理
 *
 * @author ruoyi
 * @date 2023-09-12
 */
@Service
public class CentereventTDownloadsServiceImpl extends BaseService implements ICentereventTDownloadsService {

    @Autowired
    private CentereventTDownloadsMapper centereventTDownloadsMapper;

    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public CentereventTDownloads selectCentereventTDownloadsById(String id) {
        return centereventTDownloadsMapper.selectCentereventTDownloadsById(id);
    }

    /**
     * 查询【请填写功能名称】列表
     *
     * @param centereventTDownloads 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<CentereventTDownloads> selectCentereventTDownloadsList(CentereventTDownloads centereventTDownloads) {
        return centereventTDownloadsMapper.selectCentereventTDownloadsList(centereventTDownloads);
    }

    /**
     * 新增【请填写功能名称】
     *
     * @param centereventTDownloads 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertCentereventTDownloads(CentereventTDownloads centereventTDownloads) {
        centereventTDownloads.setCreateTime(DateUtils.getNowDate());
        return centereventTDownloadsMapper.insertCentereventTDownloads(centereventTDownloads);
    }

    /**
     * 修改【请填写功能名称】
     *
     * @param centereventTDownloads 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateCentereventTDownloads(CentereventTDownloads centereventTDownloads) {
        centereventTDownloads.setUpdateTime(DateUtils.getNowDate());
        return centereventTDownloadsMapper.updateCentereventTDownloads(centereventTDownloads);
    }

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteCentereventTDownloadsByIds(String[] ids) {
        return centereventTDownloadsMapper.deleteCentereventTDownloadsByIds(ids);
    }

    @Override
    public List<Map<String, Object>> downloadsCommon(Map<String, Object> params) {
        List<CentereventTEventcatalogue> eventcatalogues = centereventTDownloadsMapper.getbeforedateDownload(params);
        List<Map<String, Object>> resultList = new ArrayList<>();
        for (CentereventTEventcatalogue eventcatalogue : eventcatalogues) {
            String uuid = IdUtils.simpleUUID();
            CentereventTDownloads centereventTDownloads = new CentereventTDownloads();
            centereventTDownloads.setId(uuid);
            centereventTDownloads.setEventCode(eventcatalogue.getEventCode());
            centereventTDownloads.setEventName(eventcatalogue.getEventName());
            centereventTDownloads.setLogId(eventcatalogue.getId());
            this.insertCentereventTDownloads(centereventTDownloads);

            Map<String, Object> map = new HashMap<>();
            map.put("id", uuid);
            map.put("logId", eventcatalogue.getId());
            map.put("cameraId", eventcatalogue.getCreateBy());
            map.put("startTime", DateUtils.parseDateToStr(DateUtils.YYYY_MM_DD_HH_MM_SS, DateUtils.subtractTime(eventcatalogue.getReportTime(), -2)));
            map.put("endTime", DateUtils.parseDateToStr(DateUtils.YYYY_MM_DD_HH_MM_SS, DateUtils.subtractTime(eventcatalogue.getReportTime(), 1)));
            resultList.add(map);
        }
        return resultList;
    }
}
