package com.sooka.sponest.event.centereventteventtypemapdept.domain;

import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 事件类型对行管局对象 centerevent_t_eventtypemapdept
 *
 * @author 朱哲
 * @date 2022-08-29
 */
public class CentereventTEventtypemapdept extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private String id;

    /**
     * 部门ID
     */
    @Excel(name = "部门ID")
    private Long deptId;

    /**
     * 部门名称
     */
    @Excel(name = "部门名称")
    private String deptName;

    /**
     * 事件类型key（字典项目）
     */
    @Excel(name = "事件类型key", readConverterExp = "字=典项目")
    private String eventType;

    /**
     * 事件类型value
     */
    @Excel(name = "事件类型value")
    private String eventTypeValue;

    // 区县字典值
    private String deptTypeDict;

    /**
     * 创建人名称
     */
    @Excel(name = "创建人名称")
    private String createName;

    public void setId(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setEventType(String eventType) {
        this.eventType = eventType;
    }

    public String getEventType() {
        return eventType;
    }

    public void setEventTypeValue(String eventTypeValue) {
        this.eventTypeValue = eventTypeValue;
    }

    public String getEventTypeValue() {
        return eventTypeValue;
    }

    public String getDeptTypeDict() {
        return deptTypeDict;
    }

    public void setDeptTypeDict(String deptTypeDict) {
        this.deptTypeDict = deptTypeDict;
    }

    public void setCreateName(String createName) {
        this.createName = createName;
    }

    public String getCreateName() {
        return createName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("deptId", getDeptId())
                .append("deptName", getDeptName())
                .append("eventType", getEventType())
                .append("eventTypeValue", getEventTypeValue())
                .append("createBy", getCreateBy())
                .append("createName", getCreateName())
                .append("createTime", getCreateTime())
                .toString();
    }
}
