package com.sooka.sponest.event.centereventteventtypemapdept.mapper;

import com.sooka.sponest.event.centereventteventtypemapdept.domain.CentereventTEventtypemapdept;

import java.util.List;

/**
 * 事件类型对行管局Mapper接口
 *
 * @author 朱哲
 * @date 2022-08-29
 */
public interface CentereventTEventtypemapdeptMapper {

    /**
     * 查询事件类型对行管局列表
     *
     * @param centereventTEventtypemapdept 事件类型对行管局
     * @return 事件类型对行管局集合
     */
    List<CentereventTEventtypemapdept> selectCentereventTEventtypemapdeptList(CentereventTEventtypemapdept centereventTEventtypemapdept);

    /**
     * 查询事件类型对行管局
     *
     * @param id 事件类型对行管局主键
     * @return 事件类型对行管局
     */
    CentereventTEventtypemapdept selectCentereventTEventtypemapdeptById(String id);

    /**
     * 新增事件类型对行管局
     *
     * @param centereventTEventtypemapdept 事件类型对行管局
     * @return 结果
     */
    int insertCentereventTEventtypemapdept(CentereventTEventtypemapdept centereventTEventtypemapdept);

    /**
     * 修改事件类型对行管局
     *
     * @param centereventTEventtypemapdept 事件类型对行管局
     * @return 结果
     */
    int updateCentereventTEventtypemapdept(CentereventTEventtypemapdept centereventTEventtypemapdept);

    /**
     * 批量删除事件类型对行管局
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteCentereventTEventtypemapdeptByIds(String[] ids);

    /**
     * 批量删除事件类型对行管局
     *
     * @param eventTypeValue 需要删除的事件类型集合
     * @return 结果
     */
    int deleteCentereventTEventtypemapdeptByEventtypevalue(String eventTypeValue);
}
