package com.sooka.sponest.event.centereventteventtypemonitor.domain;

import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * @Auther: mjq
 * @Date: 2023/7/1 - 07 - 01 - 9:15
 * @Description: com.sooka.sponest.event.centereventteventtypemonitor.domain
 * @version: 1.0
 */

/**
 * 事件模版类型对象 centerevent_t_eventtype_monitor
 *
 * @author ruoyi
 * @date 2023-07-01
 */
public class CentereventTEventtypeMonitor extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * 事件类型名称
     */
    @Excel(name = "事件类型名称")
    private String eventTypeName;

    /**
     * 父类
     */
    @Excel(name = "父类")
    private Long parentId;

    /**
     * 序号
     */
    @Excel(name = "序号")
    private String serialNumber;

    /**
     * 模版类型
     */
    @Excel(name = "模版类型")
    private String templateType;

    /**
     * 事件类型小类ID
     */
    @Excel(name = "事件类型小类ID")
    private Long typeXlId;

    /**
     * 事件类型大类ID
     */
    @Excel(name = "事件类型大类ID")
    private Long typeDlId;

    /**
     * 事件大类名称
     */
    @Excel(name = "事件大类名称")
    private String typeDlName;

    private String lxnames;

    public String getLxnames() {
        return lxnames;
    }

    public void setLxnames(String lxnames) {
        this.lxnames = lxnames;
    }

    public String getLxids() {
        return lxids;
    }

    public void setLxids(String lxids) {
        this.lxids = lxids;
    }

    private String lxids;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setEventTypeName(String eventTypeName) {
        this.eventTypeName = eventTypeName;
    }

    public String getEventTypeName() {
        return eventTypeName;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setSerialNumber(String serialNumber) {
        this.serialNumber = serialNumber;
    }

    public String getSerialNumber() {
        return serialNumber;
    }

    public void setTemplateType(String templateType) {
        this.templateType = templateType;
    }

    public String getTemplateType() {
        return templateType;
    }

    public void setTypeXlId(Long typeXlId) {
        this.typeXlId = typeXlId;
    }

    public Long getTypeXlId() {
        return typeXlId;
    }

    public void setTypeDlId(Long typeDlId) {
        this.typeDlId = typeDlId;
    }

    public Long getTypeDlId() {
        return typeDlId;
    }

    public void setTypeDlName(String typeDlName) {
        this.typeDlName = typeDlName;
    }

    public String getTypeDlName() {
        return typeDlName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("eventTypeName", getEventTypeName())
                .append("parentId", getParentId())
                .append("serialNumber", getSerialNumber())
                .append("templateType", getTemplateType())
                .append("typeXlId", getTypeXlId())
                .append("typeDlId", getTypeDlId())
                .append("typeDlName", getTypeDlName())
                .toString();
    }
}
