package com.sooka.sponest.event.centereventtregionalflag.service.impl;

import com.sooka.sponest.event.centereventtregionalflag.mapper.CentereventTRegionalFlagMapper;
import com.sooka.sponest.event.centereventtregionalflag.service.ICentereventTRegionalFlagService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 事件目录Mapper接口
 *
 * @author ruoyi
 * @date 2022-08-27
 */
@Service
public class CentereventTRegionalFlagServiceImpl implements ICentereventTRegionalFlagService {

    @Autowired
    private CentereventTRegionalFlagMapper centereventTRegionalFlagMapper;

    @Override
    public List<Map<String, Object>> getFireRegion(String fireType, String year) {
        return centereventTRegionalFlagMapper.getFireRegion(fireType, year);
    }
}
