package com.sooka.sponest.event.centereventtreportmessage.domain;

import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 报文日志对象 centerevent_t_reportmessage
 *
 * @author ruoyi
 * @date 2022-05-24
 */
public class CentereventTReportmessage extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private String id;

    /**
     * 报文来源
     */
    @Excel(name = "报文来源")
    private String source;

    /**
     * 报文内容
     */
    @Excel(name = "报文内容")
    private String context;

    public void setId(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    public void setSource(String source) {
        this.source = source;
    }

    public String getSource() {
        return source;
    }

    public void setContext(String context) {
        this.context = context;
    }

    public String getContext() {
        return context;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("source", getSource())
                .append("context", getContext())
                .toString();
    }
}
