package com.sooka.sponest.event.urge.domain;

import com.sooka.sponest.event.centereventteventcatalogue.domain.CentereventTEventcatalogue;
import com.sooka.sponest.event.urge.service.EventUrgeService;
import lombok.Data;
import org.springframework.context.ApplicationEvent;
import org.springframework.stereotype.Component;

import java.util.Observable;

@Data
@Component
public class EventUrge extends ApplicationEvent {

    public EventUrge() {
        super(new EventUrgeService() {

            @Override
            public void update(Observable o, Object arg) {
                throw new UnsupportedOperationException();
            }

            @Override
            public void toBeUrge(CentereventTEventcatalogue centereventTEventcatalogue) {
                throw new UnsupportedOperationException();
            }
        });
    }

    private EventUrgeService eventUrgeService;
    private CentereventTEventcatalogue centereventTEventcatalogue;

    public EventUrge(EventUrgeService source, CentereventTEventcatalogue centereventTEventcatalogue) {
        super(source);
        this.eventUrgeService = source;
        this.centereventTEventcatalogue = centereventTEventcatalogue;
    }
}
