import request from '@/utils/request'

// 查询隐患处理过程列表
export function listDangerprocess(query) {
  return request({
    url: '/sooka-sponest-center-event/dangerprocess/dangerprocess/list',
    method: 'get',
    params: query
  })
}

// 查询隐患处理过程详细
export function getDangerprocess(pkId) {
  return request({
    url: '/sooka-sponest-center-event/dangerprocess/dangerprocess/' + pkId,
    method: 'get'
  })
}

// 新增隐患处理过程
export function addDangerprocess(data) {
  return request({
    url: '/sooka-sponest-center-event/dangerprocess/dangerprocess',
    method: 'post',
    data: data
  })
}

// 修改隐患处理过程
export function updateDangerprocess(data) {
  return request({
    url: '/sooka-sponest-center-event/dangerprocess/dangerprocess',
    method: 'put',
    data: data
  })
}

// 删除隐患处理过程
export function delDangerprocess(pkId) {
  return request({
    url: '/sooka-sponest-center-event/dangerprocess/dangerprocess/' + pkId,
    method: 'delete'
  })
}
