import request from '@/utils/request'

// 查询巡检记录列表
export function listInspectionrecord(query) {
  return request({
    url: '/sooka-sponest-center-event/inspectionrecord/list',
    method: 'get',
    params: query
  })
}

// 查询巡检记录详细
export function getInspectionrecord(id) {
  return request({
    url: '/sooka-sponest-center-event/inspectionrecord/' + id,
    method: 'get'
  })
}

// 新增巡检记录
export function addInspectionrecord(data) {
  return request({
    url: '/sooka-sponest-center-event/inspectionrecord',
    method: 'post',
    data: data
  })
}

// 修改巡检记录
export function updateInspectionrecord(data) {
  return request({
    url: '/sooka-sponest-center-event/inspectionrecord',
    method: 'put',
    data: data
  })
}

// 删除巡检记录
export function delInspectionrecord(id) {
  return request({
    url: '/sooka-sponest-center-event/inspectionrecord/' + id,
    method: 'delete'
  })
}
