import request from '@/utils/request'

// 查询巡更记录列表
export function listPatrolrecord(query) {
  return request({
    url: '/sooka-sponest-center-event/patrolrecord/list',
    method: 'get',
    params: query
  })
}

// 查询巡更记录详细
export function getPatrolrecord(id) {
  return request({
    url: '/sooka-sponest-center-event/patrolrecord/' + id,
    method: 'get'
  })
}

// 新增巡更记录
export function addPatrolrecord(data) {
  return request({
    url: '/sooka-sponest-center-event/patrolrecord',
    method: 'post',
    data: data
  })
}

// 修改巡更记录
export function updatePatrolrecord(data) {
  return request({
    url: '/sooka-sponest-center-event/patrolrecord',
    method: 'put',
    data: data
  })
}

// 删除巡更记录
export function delPatrolrecord(id) {
  return request({
    url: '/sooka-sponest-center-event/patrolrecord/' + id,
    method: 'delete'
  })
}
