import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listDownloads(query) {
  return request({
    url: '/center-event/downloads/list',
    method: 'get',
    params: query
  })
}

// 查询【请填写功能名称】详细
export function getDownloads(id) {
  return request({
    url: '/center-event/downloads/' + id,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addDownloads(data) {
  return request({
    url: '/center-event/downloads',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateDownloads(data) {
  return request({
    url: '/center-event/downloads',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delDownloads(id) {
  return request({
    url: '/center-event/downloads/' + id,
    method: 'delete'
  })
}

//下载事件的视频
export function eventhandleDownload(id) {
  return request({
    url: 'center-event/downloads/eventhandleDownload/' + id,
    method: 'get'
  })
}
