import request from '@/utils/request';

var base = "center-event";

// 查询事件目录列表
export function listByPc(query, esflag) {
  if (JSON.parse(esflag)) {
    return request({
      url: 'sooka-middleware/eventcatalogue/listsearcheventlogue',
      method: 'post',
      data: query
    })
  } else {
    return request({
      url: base + '/eventcatalogue/listByPc',
      method: 'get',
      params: query
    })
  }
}

// 事件日志列表
export function listcentereventtfirelog(param) {
  return request({
    url: base + '/eventview/getEventDetail',
    method: 'post',
    data: param
  })
}

// 新增事件目录
export function addEventcatalogue(data) {
  return request({
    url: base + '/eventcatalogue',
    method: 'post',
    data: data
  })
}

// 删除事件目录
export function delEventcatalogue(id) {
  return request({
    url: base + '/eventcatalogue/' + id,
    method: 'delete'
  })
}

// 事件分类
export function listSJfl(query) {
  return request({
    url: base + '/eventtype/getCentereventTEventtypeByParentId',
    method: 'get',
    params: query
  })
}

// hgj下拉
export function listHgjXl(query) {
  return request({
    url: base + '/eventtypemapdept/getCentereventTEventtypemapdeptByEventtype',
    method: 'get',
    params: query
  })
}

// 查询事件目录详细
export function getEventcatalogue(id) {
  return request({
    url: base + '/eventcatalogue/' + id,
    method: 'get'
  })
}

// 预案
export function listYuAn() {
  return request({
    url: 'sooka-sponest-center-data/reserve/listYuAn',
    method: 'get'
  })
}
