import request from '@/utils/request';

var base = "center-event";

// 事件处置列表
export function listAll(query) {
  return request({
    url: base + '/eventview/listAll',
    method: 'get',
    params: query
  })
}

// 事件处理流程
export function updateCentereventTEventcatalogueStatus(param) {
  return request({
    url: '/center-event/eventcatalogue/editEventStatus',
    method: 'post',
    data: param
  })
}

//审核
export function eventExamine(param) {
  return request({
    url: '/center-event/eventcatalogue/eventExamine',
    method: 'post',
    data: param
  })
}

// 查询事件详情
export function getEventDetail(param) {
  return request({
    url: '/center-event/eventview/getEventDetail',
    method: 'post',
    data: param
  })
}
