import request from '@/utils/request'
var base="center-event";
// 查询事件部门列表
export function listDeptevent(query) {
  return request({
    url: base+'/event/system/deptevent/list',
    method: 'get',
    params: query
  })
}

// 查询事件部门详细
export function getDeptevent(id) {
  return request({
    url: base+'/event/system/deptevent/' + id,
    method: 'get'
  })
}

// 新增事件部门
export function addDeptevent(data) {
  return request({
    url: base+'/event/system/deptevent',
    method: 'post',
    data: data
  })
}

// 修改事件部门
export function updateDeptevent(data) {
  return request({
    url: base+'/event/system/deptevent',
    method: 'put',
    data: data
  })
}

// 删除事件部门
export function delDeptevent(id) {
  return request({
    url: base+'/event/system/deptevent/' + id,
    method: 'delete'
  })
}
// 查询事件部门列表
export function selectByeventCode(eventCode) {
  return request({
    url: base+'/event/system/deptevent/selectByeventCode/'+eventCode,
    method: 'get'
  })
}
// 查询事件部门无异常
export function listdeptByEventCode(eventCode) {
  return request({
    url: base+'/depteventnoab/listdeptByEventCode/'+eventCode,
    method: 'get'
  })
}
