package com.sooka.sponest.event.centereventteventcatalogue.domain.haikang;

import com.sooka.sponest.monitor.api.domain.CenterdataTCamera;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Map;

@Data
public class EventsVo {

    private String snappedPicUrl;

    private Integer eventConfirmStatus;

    private String eventId;

    private String tenants;

    private String srcName;

    private String componentId;

    private String eventTypeCode;

    private Map<String, Object> data;

    private String timeout;

    private String eventName;

    private String stopTime;

    private String srcIndex;

    private String happenTime;

    private String externalIndexCode;

    private String status;

    public String toString(CenterdataTCamera centerdataTCamera) {
        String toString = new ToStringBuilder(this, ToStringStyle.NO_CLASS_NAME_STYLE)
                .append("行政区：", centerdataTCamera.getCameraRegion())
                .append("瞭望塔：", getSrcName())
//                .append("方向：", getDirection())
//                .append("距离：", getDistance())
//                .append("高程：", getHeight())
                .append("经度：", centerdataTCamera.getLongitude())
                .append("纬度：", centerdataTCamera.getLatitude())
                .toString().replaceAll("=", "");
        return toString.substring(1, toString.length() - 1);
    }
}
