package com.sooka.sponest.event.centereventteventcatalogue.domain.sensor;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
 * @Auther: mjq
 * @Date: 2023/6/17 - 06 - 17 - 9:30
 * @Description: com.sooka.sponest.event.centereventteventcatalogue.domain.sensor
 * @version: 1.0
 */
@Data
public class SensorEventVo {

    private String eventType;// 事件分类(大类)

    private String eventTypeXl;// 事件分类(小类)

    private String eventDescription;// 事件描述

    private String longitude;// 经度

    private String latitude;// 纬度

    private String sensorId;// 传感器id

    private String reportor;// 传感器名称

    @JsonFormat(pattern = "yyyy-MM-dd'T'HH:mm:ss", timezone = "GMT+8")
    public Date reportTime;// 上报时间

    private String address;// 地址

    private String picture;// 图片

    private String deptType;
}
