package com.sooka.sponest.event.centereventteventcatalogue.domain.vo;

import com.ruoyi.common.datascope.base.domain.BaseBusinessEntity;
import lombok.Data;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Data
public class VisuForestCloudMapVO extends BaseBusinessEntity {

    // 通用参数
    private String day;// 日期,yyyy-mm-dd

    private Long diff;// 日期差

    private String[] eventTypeIdDl;// 事件大类

    private String[] eventTypeId;// 事件小类101

    private String deptId;// 部门id

    private String isHgj;// 是否行管局


    // 日历-月
    private List<String> yearMonth;

    // 事件列表
    private String eventName;

    private Long pageNum;

    private Long pageSize;


    // 附近事件
    private String longitude;

    private String latitude;

    private Long distance;


    // APP 事件列表
    private String eventStatusValue;
    private String isExamine;// 是否审核
    // APP 事件详情
    private String eventCode;

    // APP 大数据
    private List<String> eventStatus;

    private String templateType;
    /**
     * 请求参数
     */
    Map<String, Object> paramsHashmap = new HashMap();
    /**
     * 上报来源
     */
    private String reportSource;

    private List<String> eventTypeXls;

}
