package com.sooka.sponest.event.centereventteventcatalogue.mapper;

import com.sooka.sponest.event.centereventteventcatalogue.domain.bo.VisuForestCloudMapEventListBO;
import com.sooka.sponest.event.centereventteventcatalogue.domain.vo.VisuForestCloudMapVO;

import java.util.List;
import java.util.Map;

/**
 * 事件中心-大数据Mapper接口
 *
 * @author lyq
 * @date 2022-10-26
 */
public interface CenterEventReportMapper {

    int getEventTotal(VisuForestCloudMapVO visuForestCloudMapVO);

    List<Map<String, Object>> getEventCountGroupByReportSource(VisuForestCloudMapVO visuForestCloudMapVO);

    List<Map<String, Object>> getEventCountGroupByEventTypeXl(VisuForestCloudMapVO visuForestCloudMapVO);

    List<Map<String, Object>> getEventTypeRadar(VisuForestCloudMapVO visuForestCloudMapVO);

    List<Map<String, Object>> getEventCountGroupByFireSource(VisuForestCloudMapVO visuForestCloudMapVO);

    List<Map<String, Object>> getEventCountGroupByFireRisk(VisuForestCloudMapVO visuForestCloudMapVO);

    List<Map<String, Object>> getEventCountGroupByFireInsurance(VisuForestCloudMapVO visuForestCloudMapVO);

    List<Map<String, Object>> getEventCountGroupByFireType(VisuForestCloudMapVO visuForestCloudMapVO);

    List<Map<String, Object>> getEventInfoList(VisuForestCloudMapVO visuForestCloudMapVO);

    List<Map<String, Object>> getAIEventCountGroupByReportor(VisuForestCloudMapVO visuForestCloudMapVO);

    List<Map<String, Object>> getEventCountGroupByYearMonth(VisuForestCloudMapVO visuForestCloudMapVO);

    List<Map<String, Object>> getEventTypeCountGroupByYearMonth(VisuForestCloudMapVO visuForestCloudMapVO);

    List<Map<String, Object>> getEventCountGroupByEventDept(VisuForestCloudMapVO visuForestCloudMapVO);

    List<Map<String, Object>> getEventDeptCountGroupByYearMonth(VisuForestCloudMapVO visuForestCloudMapVO);

    List<Map<String, Object>> getEventLatLng(VisuForestCloudMapVO visuForestCloudMapVO);

    List<Map<String, Object>> getEventCountGroupByEventStatus(VisuForestCloudMapVO visuForestCloudMapVO);

    int getEventGjnumsMap(VisuForestCloudMapVO visuForestCloudMapVO);

    List<VisuForestCloudMapEventListBO> selectEventList(VisuForestCloudMapVO visuForestCloudMapVO);
}
