package com.sooka.sponest.event.centereventteventtype.domain;

import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 事件类型对象 centerevent_t_eventtype
 *
 * @author ruoyi
 * @date 2022-08-27
 */
public class CentereventTEventtype extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private String id;

    /**
     * 事件类型名称
     */
    @Excel(name = "事件类型名称")
    private String eventTypeName;

    /**
     * 父类
     */
    @Excel(name = "父类")
    private String parentId;

    private String code;

    private String hgjId;

    /**
     * 行管局名称
     */
    @Excel(name = "行管局名称")
    private String hgjName;

    /**
     * 催办时间
     */
    private String reminderTime;

    /**
     * 催办时间(天)
     */
    private String reminderTimeDay;

    /**
     * 催办时间(时)
     */
    private String reminderTimeHour;

    /**
     * 催办时间(分)
     */
    private String reminderTimeMinute;

    public String getReminderTimeDay() {
        return reminderTimeDay;
    }

    public void setReminderTimeDay(String reminderTimeDay) {
        this.reminderTimeDay = reminderTimeDay;
    }

    public String getReminderTimeHour() {
        return reminderTimeHour;
    }

    public void setReminderTimeHour(String reminderTimeHour) {
        this.reminderTimeHour = reminderTimeHour;
    }

    public String getReminderTimeMinute() {
        return reminderTimeMinute;
    }

    public void setReminderTimeMinute(String reminderTimeMinute) {
        this.reminderTimeMinute = reminderTimeMinute;
    }

    public String getReminderTime() {
        return reminderTime;
    }

    public void setReminderTime(String reminderTime) {
        this.reminderTime = reminderTime;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    public void setEventTypeName(String eventTypeName) {
        this.eventTypeName = eventTypeName;
    }

    public String getEventTypeName() {
        return eventTypeName;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public String getParentId() {
        return parentId;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getHgjId() {
        return hgjId;
    }

    public void setHgjId(String hgjId) {
        this.hgjId = hgjId;
    }

    public String getHgjName() {
        return hgjName;
    }

    public void setHgjName(String hgjName) {
        this.hgjName = hgjName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("eventTypeName", getEventTypeName())
                .append("parentId", getParentId())
                .append("code", getCode())
                .toString();
    }
}
