package com.sooka.sponest.event.centereventtfirespread.domain;

import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 火灾蔓延对象 centerevent_t_fire_spread
 *
 * @author ruoyi
 * @date 2023-04-30
 */
public class CentereventTFireSpread extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private String id;

    /**
     * 风向
     */
    @Excel(name = "风向")
    private String windDirection;

    /**
     * 风速
     */
    @Excel(name = "风速")
    private String windSpeed;

    /**
     * 温度
     */
    @Excel(name = "温度")
    private String temperature;

    /**
     * 湿度
     */
    @Excel(name = "湿度")
    private String humidity;

    /**
     * 持续时间
     */
    @Excel(name = "持续时间")
    private String duration;

    /**
     * 植被类型
     */
    @Excel(name = "植被类型")
    private String vegetationType;

    /**
     * 大气压
     */
    @Excel(name = "大气压")
    private String atmos;

    /**
     * 部门ID
     */
    @Excel(name = "部门ID")
    private Long deptId;

    /**
     * 部门名称
     */
    @Excel(name = "部门名称")
    private String deptName;

    public void setId(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    public void setWindDirection(String windDirection) {
        this.windDirection = windDirection;
    }

    public String getWindDirection() {
        return windDirection;
    }

    public void setWindSpeed(String windSpeed) {
        this.windSpeed = windSpeed;
    }

    public String getWindSpeed() {
        return windSpeed;
    }

    public void setTemperature(String temperature) {
        this.temperature = temperature;
    }

    public String getTemperature() {
        return temperature;
    }

    public void setHumidity(String humidity) {
        this.humidity = humidity;
    }

    public String getHumidity() {
        return humidity;
    }

    public void setDuration(String duration) {
        this.duration = duration;
    }

    public String getDuration() {
        return duration;
    }

    public void setVegetationType(String vegetationType) {
        this.vegetationType = vegetationType;
    }

    public String getVegetationType() {
        return vegetationType;
    }

    public void setAtmos(String atmos) {
        this.atmos = atmos;
    }

    public String getAtmos() {
        return atmos;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getDeptName() {
        return deptName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("windDirection", getWindDirection())
                .append("windSpeed", getWindSpeed())
                .append("temperature", getTemperature())
                .append("humidity", getHumidity())
                .append("duration", getDuration())
                .append("vegetationType", getVegetationType())
                .append("atmos", getAtmos())
                .append("createBy", getCreateBy())
                .append("updateBy", getUpdateBy())
                .append("remark", getRemark())
                .append("deptId", getDeptId())
                .append("deptName", getDeptName())
                .toString();
    }
}
