package com.sooka.sponest.event.remoteapi.domain;

import lombok.Data;

import java.util.Date;

/**
 * 企业信息对象 centerdata_t_emergency_enterprise
 *
 * @author ruoyi
 * @date 2022-07-20
 */
@Data
public class CenterdataTEmergencyEnterprise {

    /**
     * 主键ID
     */
    private String id;

    /**
     * 删除人
     */
    private String deleteBy;

    /**
     * 删除时间
     */
    private Date deleteTime;

    /**
     * 数据状态
     */
    private String dataStatus;

    /**
     * 企业名称
     */
    private String enterpriseName;

    /**
     * 生产经营单位经营地址
     */
    private String enterpriseAddress;

    /**
     * 生产经营单位办公地址
     */
    private String enterpriseWorkaddress;

    /**
     * 组织机构代码
     */
    private String organizationCode;

    /**
     * 所属部门id
     */
    private Long deptId;

    private Long dataDeptId;
    /**
     * 所属部门名称
     */
    private String deptName;

    /**
     * 主要负责人
     */
    private String charger;

    /**
     * 主要负责人电话
     */
    private String chargerPhone;

    /**
     * 安全负责人
     */
    private String secCharger;

    /**
     * 安全负责人电话
     */
    private String secChargerPhone;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 纬度
     */
    private String latitude;

    /**
     * 属地监管人员
     */
    private String management;

    /**
     * 区县行业主管部门
     */
    private String industryManagement;

    /**
     * 区县行业主管部门
     */
    private String email;

    private double juli;
}
