package com.sooka.sponest.event.remoteapi.domain;

import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 巡检项目对象 centerdata_t_emergency_inspectionitem
 *
 * @author ruoyi
 * @date 2022-07-20
 */
public class CenterdataTEmergencyInspectionitem extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    private String id;

    /**
     * 删除人
     */
    @Excel(name = "删除人")
    private String deleteBy;

    /**
     * 数据所属部门(政或党的id)
     */
    @Excel(name = "数据所属部门(政或党的id)")
    private Long dataDeptId;

    /**
     * 数据状态(1-可用 2-不可用 ) - 字典
     */
    @Excel(name = "数据状态(1-可用 2-不可用 ) - 字典")
    private String dataStatus;

    /**
     * 项目名称
     */
    @Excel(name = "项目名称")
    private String itemName;

    /**
     * 备注
     */
    @Excel(name = "备注")
    private String itemRemark;

    /**
     * 所属类型
     */
    @Excel(name = "所属类型")
    private String imspectiontypeId;

    /**
     * 所属类型名称
     */
    @Excel(name = "所属类型名称")
    private String imspectiontypeName;

    public void setId(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    public void setDeleteBy(String deleteBy) {
        this.deleteBy = deleteBy;
    }

    public String getDeleteBy() {
        return deleteBy;
    }

    public void setDataDeptId(Long dataDeptId) {
        this.dataDeptId = dataDeptId;
    }

    public Long getDataDeptId() {
        return dataDeptId;
    }

    public void setDataStatus(String dataStatus) {
        this.dataStatus = dataStatus;
    }

    public String getDataStatus() {
        return dataStatus;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }

    public String getItemName() {
        return itemName;
    }

    public void setItemRemark(String itemRemark) {
        this.itemRemark = itemRemark;
    }

    public String getItemRemark() {
        return itemRemark;
    }

    public void setImspectiontypeId(String imspectiontypeId) {
        this.imspectiontypeId = imspectiontypeId;
    }

    public String getImspectiontypeId() {
        return imspectiontypeId;
    }

    public void setImspectiontypeName(String imspectiontypeName) {
        this.imspectiontypeName = imspectiontypeName;
    }

    public String getImspectiontypeName() {
        return imspectiontypeName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("deleteBy", getDeleteBy())
                .append("dataDeptId", getDataDeptId())
                .append("dataStatus", getDataStatus())
                .append("itemName", getItemName())
                .append("itemRemark", getItemRemark())
                .append("imspectiontypeId", getImspectiontypeId())
                .append("imspectiontypeName", getImspectiontypeName())
                .toString();
    }
}
