package com.sooka.sponest.event.remoteapi.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * 巡检类别对象 centerdata_t_emergency_inspectiontype
 *
 * @author ruoyi
 * @date 2022-07-20
 */
public class CenterdataTEmergencyInspectiontype extends BaseEntity {

    public List<CenterdataTEmergencyInspectiontype> getChildren() {
        return children;
    }

    public void setChildren(List<CenterdataTEmergencyInspectiontype> children) {
        this.children = children;
    }

    /**
     * 子部门
     */
    private List<CenterdataTEmergencyInspectiontype> children = new ArrayList<>();
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    private String id;

    /**
     * 删除人
     */
    @Excel(name = "删除人")
    private String deleteBy;

    /**
     * 删除时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "删除时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date deleteTime;

    /**
     * 数据状态
     */
    @Excel(name = "数据状态")
    private String dataStatus;

    /**
     * 巡检类型名称
     */
    @Excel(name = "巡检类型名称")
    private String inspectionName;

    /**
     * 备注
     */
    @Excel(name = "备注")
    private String inspectionRemark;

    /**
     * 级别
     */
    @Excel(name = "级别")
    private Long level;

    /**
     * 父ID
     */
    @Excel(name = "父ID")
    private String parentId;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long owndeptid;

    /**
     * 数据所属部门(政或党的id)
     */
    @Excel(name = "数据所属部门(政或党的id)")
    private Long dataDeptId;

    public void setId(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    public void setDeleteBy(String deleteBy) {
        this.deleteBy = deleteBy;
    }

    public String getDeleteBy() {
        return deleteBy;
    }

    public void setDeleteTime(Date deleteTime) {
        this.deleteTime = deleteTime;
    }

    public Date getDeleteTime() {
        return deleteTime;
    }

    public void setDataStatus(String dataStatus) {
        this.dataStatus = dataStatus;
    }

    public String getDataStatus() {
        return dataStatus;
    }

    public void setInspectionName(String inspectionName) {
        this.inspectionName = inspectionName;
    }

    public String getInspectionName() {
        return inspectionName;
    }

    public void setInspectionRemark(String inspectionRemark) {
        this.inspectionRemark = inspectionRemark;
    }

    public String getInspectionRemark() {
        return inspectionRemark;
    }

    public void setLevel(Long level) {
        this.level = level;
    }

    public Long getLevel() {
        return level;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public String getParentId() {
        return parentId;
    }

    public void setOwndeptid(Long owndeptid) {
        this.owndeptid = owndeptid;
    }

    public Long getOwndeptid() {
        return owndeptid;
    }

    public void setDataDeptId(Long dataDeptId) {
        this.dataDeptId = dataDeptId;
    }

    public Long getDataDeptId() {
        return dataDeptId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("deleteBy", getDeleteBy())
                .append("deleteTime", getDeleteTime())
                .append("dataStatus", getDataStatus())
                .append("inspectionName", getInspectionName())
                .append("inspectionRemark", getInspectionRemark())
                .append("level", getLevel())
                .append("parentId", getParentId())
                .append("owndeptid", getOwndeptid())
                .append("dataDeptId", getDataDeptId())
                .toString();
    }
}
