package com.sooka.sponest.event.urge.domain;

import com.alibaba.fastjson.JSON;
import lombok.Data;

import java.util.Arrays;
import java.util.List;

@Data
public class EventPush {

    public EventPush() {

    }

    public EventPush(String userId, String eventTypeDl, String eventType) {
        this.userId = userId;
        this.eventTypeDl = Arrays.asList(eventTypeDl.split(","));
        this.eventType = Arrays.asList(eventType.split(","));
    }

    String userId;

    List<String> eventTypeDl;

    List<String> eventType;

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
